# KWS Data

训练数据包含三个文件：

* feat 是二进制文件，存储的是特征数据
* label 是二进制文件，存储的是标注结果
* desc 是一个文本文件，包含每个语句所对应的起始帧和帧数

## DESC文件
文件的第一行是一个整数，表示句子的数量。

之后的每一行描述一个语句的信息：语句的key, 起始帧位置，帧数

例如

| sentence key | reserved value | start position | length |
|:------------:|:--------------:|:-------------: |:------:|
| 329110_18210989199_18600024111_1_3_1_driver.pcm.0016 | 0 | 20 | 219 |

语句间隔（前后，共40帧）

每条语句前后额外有20帧，分别重复第一帧、最后一帧

## FEAT文件
按帧保存特征数据。

例如，对于语音识别，每帧包含40维的fbank特征，数据类型为4字节的float。这样，每个语句就包含4 * 40 * 帧数 （字节）的数据。

文件头（共12字节）:

* nSample（帧数，4字节float）
* sampleRate（100000，4字节float）
* sampleSize（40维*4，2字节short）
* sampleKind（7，样本类型）
 

## LABEL文件

按帧保存标记数据。

例如，对于音素或者半音素模型，每帧的标记为一个4字节的int。
